> ## Documentation Index
> Fetch the complete documentation index at: https://skulabs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Shipping - Void

> Void a shipment, cancelling the shipping label and optionally restoring inventory.



## OpenAPI

````yaml delete /s/ship/shipping/void
openapi: 3.0.3
info:
  title: SKULabs API
  description: >-
    Most API keys have "platformGeneric" and "platformApi" scopes included.
    Contact us to convert more routes from "platformUser" (only available to
    users) to "platformGeneric" (available to users and api keys) upon request.
  version: 4.5.0
servers:
  - url: https://api.skulabs.com
  - url: https://app.skulabs.com/s
security: []
tags:
  - name: batch
  - name: customer
    description: Manage customers, tags, and notes
  - name: cycle_count
  - name: distributor
  - name: inventory
    description: Query and modify inventory levels across locations
  - name: inventory_table
  - name: item
    description: Manage items, barcodes, serial numbers, and tags
  - name: kit
    description: Manage kits and their component items
  - name: listing
  - name: location
  - name: oauth
  - name: order
    description: Manage orders, shipments, tags, and statuses
  - name: purchase_order
    description: Manage purchase orders and receiving
  - name: run
  - name: shipments
  - name: shipping
  - name: store
  - name: tag
    description: Create, update, and remove tags
  - name: transfer_order
  - name: warehouse
    description: Manage warehouses and view statistics
  - name: webhook
    description: Manage webhook handlers
paths:
  /s/ship/shipping/void:
    delete:
      tags:
        - shipping
      summary: Shipping - Void
      description: >-
        Void a shipment, cancelling the shipping label and optionally restoring
        inventory.
      operationId: delete_shipping_void
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                store_id:
                  type: string
                  description: Store ID
                  example: 507f1f77bcf86cd799439011
                order_number:
                  type: string
                  description: Order number
                shipment_id:
                  type: string
                  description: SKULabs shipment ID
                  example: 507f1f77bcf86cd799439011
                tracking_number:
                  type: string
                  description: Tracking number to identify the shipment
                no_refresh:
                  type: boolean
                  description: Skip cache refresh after voiding
                carrier_shipment_id:
                  type: string
                  description: Carrier-specific shipment ID
                force_void:
                  type: boolean
                  description: Force void even if carrier void fails
              required:
                - store_id
                - order_number
      responses:
        '200':
          description: >-
            Shipment voided and inventory restored (returns updated order
            shipments)
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    description: Order ID
                    example: 507f1f77bcf86cd799439011
                  shipments:
                    type: array
                    items:
                      $ref: '#/components/schemas/ShipmentResult'
                    description: Order shipments
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '403':
          description: Forbidden. Insufficient permissions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '429':
          description: Too many requests. Rate limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
      security:
        - SKULabsToken: []
      servers:
        - url: https://app.skulabs.com
components:
  schemas:
    ShipmentResult:
      type: object
      properties:
        _id:
          type: string
          description: Shipment ID
          example: 507f1f77bcf86cd799439011
        request:
          $ref: '#/components/schemas/ShipRequest'
        response:
          type: object
          properties:
            provider:
              type: string
              description: Shipping provider
            service:
              type: string
              description: Service used
            tracking_number:
              type: string
              description: Tracking number
            shipment_id:
              type: string
              description: Carrier shipment ID
            amount:
              type: number
              description: Postage cost
            label_url:
              type: string
              description: URL to download the shipping label
            fees:
              type: number
              description: Additional carrier fees
          description: Carrier response
        time:
          type: string
          description: Shipment creation time
          example: '2025-01-15T12:00:00.000Z'
        state:
          type: string
          enum:
            - shipped
            - failed
            - voided
          description: Shipment state
        manual_shipment:
          type: boolean
          description: Whether this was a manual shipment
        deducted:
          type: boolean
          description: Whether inventory was deducted
    ShipRequest:
      type: object
      properties:
        _id:
          type: string
          description: Shipment request ID
          example: 507f1f77bcf86cd799439011
        store_id:
          type: string
          description: Store ID
          example: 507f1f77bcf86cd799439011
        parcel:
          $ref: '#/components/schemas/Parcel'
        address:
          $ref: '#/components/schemas/ShippingAddress'
        origin_address:
          allOf:
            - $ref: '#/components/schemas/ShippingAddress'
            - description: Origin/ship-from address
        return_address:
          allOf:
            - $ref: '#/components/schemas/ShippingAddress'
            - description: Return address
        rate:
          type: object
          properties:
            service:
              type: string
              description: Selected service name
            service_code:
              type: string
              description: Selected service code (use "cheapest" for cheapest rate)
            carrier_account:
              type: object
              properties:
                _id:
                  type: string
                  description: Carrier account ID
                  example: 507f1f77bcf86cd799439011
                name:
                  type: string
                  description: Carrier account name
              description: Carrier account for this rate
          description: Selected rate/service
        carrier_account_ids:
          type: array
          items:
            type: string
          description: Carrier account IDs to consider
        order_items:
          type: array
          items:
            type: object
            properties:
              sku:
                type: string
                description: Item SKU
              item_id:
                type: string
                description: Item ID
                example: 507f1f77bcf86cd799439011
              quantity:
                type: number
                description: Quantity to ship
              location_id:
                type: string
                description: Inventory location ID
                example: 507f1f77bcf86cd799439011
          description: Items to include in this shipment
        customs_items:
          type: array
          items:
            $ref: '#/components/schemas/CustomsItem'
          description: Customs declaration items for international shipments
        signature_confirmation:
          type: boolean
          description: Request signature confirmation
        insurance_amount:
          type: number
          description: Insurance coverage amount
        insurance_type:
          type: string
          description: Insurance type (direct or default)
        return_label:
          type: boolean
          description: Generate a return label instead of outbound
        reference_1:
          type: string
          description: Reference field 1
        reference_2:
          type: string
          description: Reference field 2
        format:
          type: string
          description: Label format (e.g. paper for laser printer)
        currency:
          type: string
          description: Currency code
          example: USD
        origin:
          type: string
          description: Warehouse ID for origin
          example: 507f1f77bcf86cd799439011
        shipping_date:
          type: string
          description: Requested shipping date (ISO 8601)
          example: '2025-01-15'
        should_deduct:
          type: boolean
          description: Whether to deduct inventory on shipment
      required:
        - parcel
        - address
      description: Original shipment request
    Parcel:
      type: object
      properties:
        length:
          type: number
          description: Package length
        width:
          type: number
          description: Package width
        height:
          type: number
          description: Package height
        weight:
          type: number
          description: Package weight (ounces by default)
        weight_unit:
          type: string
          enum:
            - oz
            - lb
            - g
            - kg
          description: Weight unit
        dimensions_unit:
          type: string
          enum:
            - in
            - cm
          description: Dimensions unit
        template:
          type: string
          description: Predefined package template name
        template_carrier:
          type: string
          description: Carrier type for the template
      description: Package dimensions and weight
    ShippingAddress:
      type: object
      properties:
        name:
          type: string
          description: Recipient or sender name
        company:
          type: string
          description: Company name
        street:
          type: string
          description: Street address line 1
        street_2:
          type: string
          description: Street address line 2
        city:
          type: string
          description: City
        state:
          type: string
          description: State or province code
        zip:
          type: string
          description: Postal or ZIP code
        country:
          type: string
          description: Two-letter country code
          example: US
        phone:
          type: string
          description: Phone number
        email:
          type: string
          description: Email address
        residential:
          type: boolean
          nullable: true
          description: Whether the address is residential
      description: Destination address
    CustomsItem:
      type: object
      properties:
        description:
          type: string
          description: Item description for customs
        quantity:
          type: number
          description: Item quantity
        value:
          type: number
          description: Item value per unit
        weight:
          type: number
          description: Item weight
        hs_tariff_number:
          type: string
          description: Harmonized System tariff number
        origin_country:
          type: string
          description: Country of origin
          example: US
  securitySchemes:
    SKULabsToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````